# Update DNS to current IP

Simple dyndns for OVH API.  

Updates an A record to the current IP.


## requirements ubuntu

```
$ apt install python3-pip python-is-python3
$ pip install -r requirements.txt
```

## configuration

`cp env-example .env`

and edit `.env` with credentials from https://www.ovh.com/auth/api/createToken

## run 

`dyndns-update ZONE SUBDOMAIN`


## install

Install as user cronjob like

`*/5 * * * * cd /home/user/ovh-dyndns ; ./dyndns-update.py ZONE SUBDOMAIN`

with

`$ crontab -e`

